Bug 3968 - Missing double use of column names
Summary: Missing double use of column names
Status: RESOLVED FIXED
Alias: None
Product: SQL
Classification: Unclassified
Component: all (show other bugs)
Version: 11.17.13 (Jan2014-SP1)
Hardware: Other Mac OS X
: Normal normal
Assignee: SQL devs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-27 23:42 CEST by Martin Kersten
Modified: 2016-04-11 11:16 CEST (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Kersten cwiconfidential 2016-03-27 23:42:49 CEST
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10.10; rv:44.0) Gecko/20100101 Firefox/44.0
Build Identifier: 

A table producing function that contains an invalid table definition is not captured properly. It raises an assertion error.

Test added.

Reproducible: Always

Steps to Reproduce:
-- should not raise an assertion 
create function places3()
returns table( "schema" string,  "table" string, "schema" string)
external name iot.places;

select * from places3();
Comment 1 Niels Nes cwiconfidential 2016-03-30 11:21:16 CEST
added checks for ambigious names in the returning table
Comment 2 MonetDB Mercurial Repository cwiconfidential 2016-03-30 11:26:00 CEST
Changeset fad4a317b5ee, made by Niels Nes <niels@cwi.nl> in the MonetDB repo, refers to this bug.

For complete details, see http://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=fad4a317b5ee

Changeset description:

	fix for bug 3968
Comment 3 MonetDB Mercurial Repository cwiconfidential 2016-04-01 09:59:50 CEST
Changeset 0462dab575fb, made by Martin Kersten <mk@cwi.nl> in the MonetDB repo, refers to this bug.

For complete details, see http://dev.monetdb.org/hg/MonetDB?cmd=changeset;node=0462dab575fb

Changeset description:

	Add testcase for bug 3968
Comment 4 Sjoerd Mullender cwiconfidential 2016-04-11 11:16:04 CEST
Jul2015-SP4 has been released.